;InnoSetupVersion=5.1.10

[Setup]
AppName=Alleycode HTML Editor
AppVerName=Alleycode HTML Editor 2.2.0
AppId=Kobeman
AppPublisher=Konae Technologies, Inc.
AppPublisherURL=http://www.alleycode.com
AppSupportURL=http://www.alleycode.com
AppUpdatesURL=http://www.alleycode.com
AppMutex=alleycodemutex
DefaultDirName={pf}\Alleycode
DefaultGroupName=Alleycode
OutputBaseFilename=setup
Compression=zip
AllowNoIcons=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\alleycode.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\alleycode.exe.manifest"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\alleycode.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\alleycode.INI"; DestDir: "{app}"; Flags: onlyifdoesntexist ignoreversion 
Source: "{app}\htmlhelp.lib"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Forms\feedback.inc"; DestDir: "{app}\Forms"; Flags: ignoreversion 
Source: "{app}\Forms\fieldset.inc"; DestDir: "{app}\Forms"; Flags: ignoreversion 
Source: "{app}\Forms\order.inc"; DestDir: "{app}\Forms"; Flags: ignoreversion 
Source: "{app}\Forms\survey.inc"; DestDir: "{app}\Forms"; Flags: ignoreversion 
Source: "{app}\Libraries\css.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\css2.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\html32.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\html41.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php4.phpfuncAG.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php4.phpfuncHL.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php4.phpfuncMP.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php4.phpfuncQZ.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php5.phpfuncAG.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php5.phpfuncHL.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php5.phpfuncMP.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\Libraries\php5.phpfuncQZ.aly"; DestDir: "{app}\Libraries"; Flags: ignoreversion 
Source: "{app}\PHP\array.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\count.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\date.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\forloop.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\form.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\mail.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\phpinfo.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\time.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\fread.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\length.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\math.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\metatags.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\pregmatch.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\replace.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\PHP\variable.php"; DestDir: "{app}\PHP"; Flags: ignoreversion 
Source: "{app}\Templates\temp.ale"; DestDir: "{app}\Templates"; Flags: ignoreversion 
Source: "{app}\Templates\temp.html"; DestDir: "{app}\Templates"; Flags: ignoreversion 
Source: "{app}\Templates\xtemp.html"; DestDir: "{app}\Templates"; Flags: ignoreversion 
Source: "{app}\Templates\temp.php"; DestDir: "{app}\Templates"; Flags: ignoreversion 
Source: "{app}\Templates\temp.txt"; DestDir: "{app}\Templates"; Flags: ignoreversion 
Source: "{app}\Tutorial\images\easybckgrd.gif"; DestDir: "{app}\Tutorial\images"; Flags: ignoreversion 
Source: "{app}\Tutorial\images\easylogo.gif"; DestDir: "{app}\Tutorial\images"; Flags: ignoreversion 
Source: "{app}\Tutorial\images\spacecadet.gif"; DestDir: "{app}\Tutorial\images"; Flags: ignoreversion 

[Dirs]
Name: "{app}\Tutorial\include"; 

[Registry]
Root: HKCR; Subkey: "Alleycode HTML Editor"; ValueType: String; ValueData: "Alleycode HTML Editor"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Alleycode HTML Editor\DefaultIcon"; ValueType: String; ValueData: "{app}\alleycode.exe,0"; 
Root: HKCR; Subkey: "Alleycode HTML Editor\shell\open\command"; ValueType: String; ValueData: """{app}\alleycode.exe"" ""%1"""; 

[INI]
FileName: "{app}\alleycode.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.alleycode.com"; 

[Run]
Filename: "{app}\alleycode.exe"; Description: "Launch Alleycode HTML Editor"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Alleycode HTML Editor"; Filename: "{app}\alleycode.exe"; WorkingDir: "{app}"; 
Name: "{group}\Alleycode HTML Editor on the Web"; Filename: "{app}\alleycode.url"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall Alleycode HTML Editor"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; 
Name: "{userdesktop}\Alleycode HTML Editor"; Filename: "{app}\alleycode.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Alleycode HTML Editor"; Filename: "{app}\alleycode.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\alleycode.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
